<?xml version="1.0"?>
<tryton>
    <data>
        <!-- CONFIGURATION -->
        <record model="ir.ui.view" id="gnuhealth_contact_tracing_configuration_view">
            <field name="model">gnuhealth.contact_tracing.configuration</field>
            <field name="type">form</field>
            <field name="name">configuration</field>
        </record>
        
        <record model="ir.action.act_window" id="act_gnuhealth_contact_tracing_configuration">
            <field name="name">Configuration</field>
            <field name="res_model">gnuhealth.contact_tracing.configuration</field>
        </record>
        
        <record model="ir.action.act_window.view"
            id="act_gnuhealth_contact_tracing_configuration_view">
            <field name="sequence" eval="10"/>
            <field name="view" ref="gnuhealth_contact_tracing_configuration_view"/>
            <field name="act_window" ref="act_gnuhealth_contact_tracing_configuration"/>
        </record>
        
        <menuitem id="gnuhealth_contact_tracing_configuration_menu" name="Configuration"
                parent="health_contact_tracing.gnuhealth_contact-tracing"
                action="act_gnuhealth_contact_tracing_configuration" sequence="5" />

        <!--  CAMPAIGN    -->
        <record model="ir.ui.view" id="gnuhealth_contact_tracing_campaign_form_view">
            <field name="model">gnuhealth.contact_tracing.campaign</field>
            <field name="type">form</field>
            <field name="name">gnuhealth_contact_tracing_campaign_form</field>
        </record>
        
        <record model="ir.ui.view" id="gnuhealth_contact_tracing_campaign_tree_view">
            <field name="model">gnuhealth.contact_tracing.campaign</field>
            <field name="type">tree</field>
            <field name="name">gnuhealth_contact_tracing_campaign_tree</field>
        </record>
        
        <record model="ir.action.act_window" id="act_gnuhealth_contact_tracing_campaign">
            <field name="name">Campaign</field>
            <field name="res_model">gnuhealth.contact_tracing.campaign</field>
        </record>
        
        <record model="ir.action.act_window.view"
            id="act_gnuhealth_contact_tracing_campaign_view1">
            <field name="sequence" eval="10"/>
            <field name="view" ref="gnuhealth_contact_tracing_campaign_tree_view"/>
            <field name="act_window" ref="act_gnuhealth_contact_tracing_campaign"/>
        </record>
        
        <record model="ir.action.act_window.view"
            id="act_gnuhealth_contact_tracing_campaign_view2">
            <field name="sequence" eval="20"/>
            <field name="view" ref="gnuhealth_contact_tracing_campaign_form_view"/>
            <field name="act_window" ref="act_gnuhealth_contact_tracing_campaign"/>
        </record>
        
        <menuitem id="gnuhealth_contact_tracing_campaign_menu" name="Campaign"
                parent="health_contact_tracing.gnuhealth_contact-tracing"
                action="act_gnuhealth_contact_tracing_campaign" sequence="6" />
        
        <!--  CONTEXT    -->
        <record model="ir.ui.view" id="gnuhealth_contact_tracing_context_form_view">
            <field name="model">gnuhealth.contact_tracing.context</field>
            <field name="type">form</field>
            <field name="name">gnuhealth_contact_tracing_context_form</field>
        </record>
        
        <record model="ir.ui.view" id="gnuhealth_contact_tracing_context_tree_view">
            <field name="model">gnuhealth.contact_tracing.context</field>
            <field name="type">tree</field>
            <field name="name">gnuhealth_contact_tracing_context_tree</field>
        </record>       
        
    </data>
</tryton>
